summaryrefslogtreecommitdiff
path: root/tools/syscall-table-update.sh
diff options
context:
space:
mode:
authorZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2021-01-15 11:43:47 +0100
committerZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2021-01-15 18:35:02 +0100
commit9a6da617dbbf6713a7cc69e5b97543f18941e79a (patch)
treeae2434e8790f2d01fc62bac6b17ff326b51e1234 /tools/syscall-table-update.sh
parente363b0e4fc4f32225034a11dd53c0cc68747ba6e (diff)
downloadsystemd-9a6da617dbbf6713a7cc69e5b97543f18941e79a.tar.gz
meson: download full syscall tables from hrw/syscalls-table
The target is renamed to 'update-syscall-tables'. (Other targets with similar names will be added later.)
Diffstat (limited to 'tools/syscall-table-update.sh')
-rwxr-xr-xtools/syscall-table-update.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tools/syscall-table-update.sh b/tools/syscall-table-update.sh
new file mode 100755
index 0000000000..15b7792c53
--- /dev/null
+++ b/tools/syscall-table-update.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -eu
+
+cd "$1" && shift
+
+curl -L -o syscall-names.text 'https://raw.githubusercontent.com/hrw/syscalls-table/master/syscall-names.text'
+
+for arch in "$@"; do
+ curl -L -o syscalls-$arch "https://raw.githubusercontent.com/hrw/syscalls-table/master/tables/syscalls-$arch"
+done